#!/bin/sh

mkdir -p ./html/articles

./tools/main_page_generator.py ./articles | ./tools/mmd/build/multimarkdown > ./html/index.html

for d in ./articles/*; do
  if [ -d "$d" ]; then
    ./tools/article_wrapper.py "$d/page.mmd" | ./tools/mmd/build/multimarkdown > "./html/articles/$(basename -- $d).html"
  fi
done
